# Get Limits

You will be able to retrieve the remaining transfer limits of a particular user's wallet based on your spec sheet and transactions they have already created.&#x20;

The transfer limits are categorized into the following transfer and transaction types:

1. Load: Adding funds into the wallet through linked card or bank.
2. Unload: Withdrawing funds from the wallet to linked card or bank.
3. Internal: Sending funds to another wallet holder.
4. External: Sending funds to external recipients using [transaction API](/api-references/transaction/create-1.md). This limit can also be obtained using the [Get Transaction limits API](/api-references/transaction/get-transaction-limits.md) but is only applicable for Clients who are approved for both wallet and external transactions.

The remaining limits are also broken down into the following types:

1. Annual limit: Annual limit minus the amount already transfered this year.
2. Daily limit: Daily limit minus the amount already transfered today.
3. Monthly limit: Monthly limit minus the amount already transfered this month.
4. Wallet hold limit: Maximum wallet hold limit minus the actual balance of the wallet. This is particularly valid for LOAD transfer types as load amount shall not exceed remaining wallet hold limit.

#### **`GET /users/{userId}/limits`**

{% tabs %}
{% tab title="Details" %}

| Field                                | Required | Type    | Description                                                         |
| ------------------------------------ | -------- | ------- | ------------------------------------------------------------------- |
| country                              | Response | String  | 2-letter ISO code of the user’s country                             |
| current\_tier                        | Response | Numeric | Current tier of the user                                            |
| remaining\_limit                     | Response | Object  | Remaining transaction limit of the user in the current tier         |
| remaining\_limit.annual\_limit       | Response | Numeric | Remaining annual transaction limit of the user in the current tier  |
| remaining\_limit.monthly\_limit      | Response | Numeric | Remaining monthly transaction limit of the user in the current tier |
| remaining\_limi.daily\_limit         | Response | Numeric | Remaining daily transaction limit of the user in the current tier   |
| remaining\_limit.wallet\_hold\_limit | Response | Numeric | Remaining amount that can be held in the wallet                     |
| user\_id                             | Response | UUID    | UUID of the user                                                    |
| type                                 | Response | String  | Transaction and transfer type for which the limits are applicable   |
| {% endtab %}                         |          |         |                                                                     |

{% tab title="Request Sample" %}

```
curl --location --request GET '{{url}}/users/{userId}/limits' \
--header 'X-Client-Id:{{client_id}} ' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
[
    {
    "country": "US",
    "remaining_limit": {
        "annual_limit": 10000,
        "daily_limit": 200,
        "monthly_limit": 5000
    },
    "type": "EXTERNAL",
    "current_tier" : 1,
    "user_id": UUID
   },
    {
        "remaining_limit": {
            "annual_limit": 6401.00,
            "daily_limit": 1790.00,
            "monthly_limit": 2310.00,
            "wallet_hold_limit": 2000.00
        },
        "type": "LOAD",
        "current_tier" : 1,
        "user_id": UUID
    },
    {
        "remaining_limit": {
            "annual_limit": 9860.80,
            "daily_limit": 22.00,
            "monthly_limit": 4960.80
        },
        "type": "UNLOAD",
        "current_tier" : 1,
        "user_id": UUID
    },
    {
        "remaining_limit": {
            "annual_limit": 9876.60,
            "daily_limit": 200,
            "monthly_limit": 4906.60
        },
        "type": "TRANSFER",
        "current_tier" : 1,
        "user_id": UUID
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/transaction-wallet/get-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
